Iterations - Get
Get team's iteration by iterationId
GET https://dev.azure.com/{organization}/{project}/{team}/_apis/work/teamsettings/iterations/{id}?api-version=5.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
id
|
path | True |
string (uuid) |
ID of the iteration |
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
team
|
path |
string |
Team ID or team name |
|
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '5.0' to use this version of the api. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.work | Grants the ability to read work items, queries, boards, area and iterations paths, and other work item tracking related metadata. Also grants the ability to execute queries, search work items and to receive notifications about work item events via service hooks. |
Examples
Get a team's iteration by iterationId
Sample request
GET https://dev.azure.com/fabrikam/Fabrikam-Fiber/_apis/work/teamsettings/iterations/{id}?api-version=5.0
Sample response
{
"id": "a589a806-bf11-4d4f-a031-c19813331553",
"name": "Sprint 2",
"path": "Fabrikam-Fiber\\Release 1\\Sprint 2",
"attributes": {
"startDate": null,
"finishDate": null
},
"url": "https://dev.azure.com/fabrikam/6d823a47-2d51-4f31-acff-74927f88ee1e/748b18b6-4b3c-425a-bcae-ff9b3e703012/_apis/work/teamsettings/iterations/a589a806-bf11-4d4f-a031-c19813331553",
"_links": {
"self": {
"href": "https://dev.azure.com/fabrikam/6d823a47-2d51-4f31-acff-74927f88ee1e/748b18b6-4b3c-425a-bcae-ff9b3e703012/_apis/work/teamsettings/iterations/a589a806-bf11-4d4f-a031-c19813331553"
},
"project": {
"href": "https://dev.azure.com/fabrikam/_apis/projects/6d823a47-2d51-4f31-acff-74927f88ee1e"
},
"team": {
"href": "https://dev.azure.com/fabrikam/_apis/projects/6d823a47-2d51-4f31-acff-74927f88ee1e/teams/748b18b6-4b3c-425a-bcae-ff9b3e703012"
},
"teamSettings": {
"href": "https://dev.azure.com/fabrikam/6d823a47-2d51-4f31-acff-74927f88ee1e/748b18b6-4b3c-425a-bcae-ff9b3e703012/_apis/work/teamsettings"
},
"teamIterations": {
"href": "https://dev.azure.com/fabrikam/6d823a47-2d51-4f31-acff-74927f88ee1e/748b18b6-4b3c-425a-bcae-ff9b3e703012/_apis/work/teamsettings/iterations"
},
"capacity": {
"href": "https://dev.azure.com/fabrikam/6d823a47-2d51-4f31-acff-74927f88ee1e/748b18b6-4b3c-425a-bcae-ff9b3e703012/_apis/work/teamsettings/iterations/a589a806-bf11-4d4f-a031-c19813331553/capacities"
},
"classificationNode": {
"href": "https://dev.azure.com/fabrikam/6d823a47-2d51-4f31-acff-74927f88ee1e/_apis/wit/classificationNodes/Iterations/Release%201/Sprint%202"
},
"teamDaysOff": {
"href": "https://dev.azure.com/fabrikam/6d823a47-2d51-4f31-acff-74927f88ee1e/748b18b6-4b3c-425a-bcae-ff9b3e703012/_apis/work/teamsettings/iterations/a589a806-bf11-4d4f-a031-c19813331553/teamdaysoff"
}
}
}
Definitions
| Name | Description |
|---|---|
|
Reference |
The class to represent a collection of REST reference links. |
|
Team |
|
|
Team |
Represents a shallow ref for a single iteration |
|
Time |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
TeamIterationAttributes
| Name | Type | Description |
|---|---|---|
| finishDate |
string (date-time) |
|
| startDate |
string (date-time) |
|
| timeFrame |
TeamSettingsIteration
Represents a shallow ref for a single iteration
| Name | Type | Description |
|---|---|---|
| _links |
Collection of links relevant to resource |
|
| attributes |
Attributes such as start and end date |
|
| id |
string (uuid) |
Id of the resource |
| name |
string |
Name of the resource |
| path |
string |
Relative path of the iteration |
| url |
string |
Full http link to the resource |
TimeFrame
| Value | Description |
|---|---|
| past | |
| current | |
| future |